package cn.wisenergy.service;

import cn.wisenergy.model.app.WorkCentre;
import cn.wisenergy.model.app.WorkDept;
import cn.wisenergy.model.app.WorkUser;

import java.util.List;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */
public interface WorkCentreService {

    WorkCentre getCentreById(Integer id);

    Boolean updateManagerIdIsNullById(Integer id);

    Boolean updateById(WorkCentre workCentre);

    List<WorkDept> getDeptByCentreManager(WorkUser user);
}
